Curriculum
Create curriculum
AuthorizationBearer <token>
In: header
Path Parameters
entity_typestring
Type of context (course, cohort, learning_path)
Default
nullentity_idstring
ID of the course, cohort, or learning path
Default
nullFormat
uuidchildrenarray<object>
content_idstring
Default
"123e4567-e89b-12d3-a456-426614174002"Format
uuidcontent_typestring
Default
"section"order_indexinteger
Default
1Response Body
curl -X POST "https://edushade.com/api/v1/admin/learning/curriculum/{entity_type}/{entity_id}/tree" \
-H "Content-Type: application/json" \
-d '{
"children": [
{
"content_id": "123e4567-e89b-12d3-a456-426614174003",
"content_type": "lesson",
"order_index": 1
}
],
"content_id": "123e4567-e89b-12d3-a456-426614174002",
"content_type": "section",
"order_index": 1
}'{}Empty
Empty
Empty